"""
This module contains blender UI elements in the node editor

:author: Autour de Minuit
:maintainers: Christophe Seux
:date: 2024
"""

import bpy



def draw_menu(self, context):
    layout = self.layout

    row = layout.row(align=False)
    layout.operator('assetlibrary.update_materials', text='Update Materials', icon='MATERIAL')


def register():
    # for c in classes:
    #     bpy.utils.register_class(c)

    bpy.types.ASSETLIB_MT_node_editor.append(draw_menu)


def unregister():
    # for c in reversed(classes):
    #     bpy.utils.unregister_class(c)

    bpy.types.ASSETLIB_MT_node_editor.remove(draw_menu)
